function battle_zai059(npcID) --盘幸

	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
	
		   local n=flag.GetBattleValue(12912)

	if n~=5 then
		a=battle.GetRndNumber(1,10)
		if a>=1 and a<=4 then
			n=n+1
			flag.SetBattleValue(12912,n)
			id = battle.GetRndPlayer()
			battle.SetDamageScale(0.6)
			battle.AtkToPlayer(id,1)     --1号攻击
		else if a>=5 and a<=7 then
			id = battle.GetRndPlayer()
			battle.SetDamageScale(1.5)
			battle.AtkToPlayer(id,2)     --2号攻击
			n=n+1
			flag.SetBattleValue(12912,n)
		else if a>=8 and a<=10 then
			id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,1230,1)   --法术
			flag.SetBattleValue(12912,0)
			 end
			   end
		  end

	  else
		id = battle.GetRndPlayer()
		battle.MagicToPlayer(id,1230,1)
		flag.SetBattleValue(12912,0)
	 end
  
end